<?php


namespace Drupal\pardot;

use Drupal\Core\DependencyInjection\ContainerInjectionInterface;
use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\StringTranslation\StringTranslationTrait;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Stuff.
 *
 *
 * @internal
 */
class EntityTypeInfo implements ContainerInjectionInterface {

  use StringTranslationTrait;

  /**
   * Stuff.
   *
   */
  public function __construct() {
  }

  public static function create(ContainerInterface $container) {
    return new static();
  }

  public function entityTypeAlter(&$entity_types): void {
    if (!empty($entity_types['contact_form'])) {
      $entity_types['contact_form']->setLinkTemplate('pardot-form-mapping', "/admin/structure/contact/manage/{contact_form}/pardot-form-settings");
    }
    if (!empty($entity_types['webform'])) {
      $entity_types['webform']->setLinkTemplate('pardot-form-mapping', "/admin/structure/webform/manage/{webform}/pardot-form-settings");
    }
  }

  /**
   * @param array $operations
   * @param \Drupal\Core\Entity\EntityInterface $entity
   */
  public function entityOperation(array &$operations, EntityInterface $entity) {
    $has_permission = \Drupal::currentUser()
      ->hasPermission('administer pardot form map');
    $has_link = $entity->hasLinkTemplate('pardot-form-mapping');
    $is_contact_form = $entity->getEntityTypeId() === 'contact_form';
    if ($is_contact_form && $has_link && $has_permission) {
      $operations['pardot-form-mapping'] = [
        'title' => t('Pardot Form Map'),
        'weight' => 100,
        'url' => $entity->toUrl('pardot-form-mapping'),
      ];
    }
  }



}

