<?php

namespace Drupal\pardot;

/**
 * Provides a class for mapped fields.
 */
class MappedEmailField extends MappedFieldBase {

  /**
   * {@inheritdoc}
   */
  public function __construct(string $pardot_key = '', string $plugin_type = 'default_value', $plugin = [], $config = []) {
    $this->pardotKey = $pardot_key;
    $this->pluginType = $plugin_type;
    if (!$plugin) {
      $plugin = \Drupal::service('plugin.manager.pardot_field_formatter')
        ->createInstance($plugin_type);
    }
    if ($plugin) {
      $config += $plugin->getConfiguration();
      $config['allowed_field_types'] = ['email'];
      $plugin->setConfiguration($config);
    }
    $this->plugin = $plugin;
    $this->status = TRUE;
    $this->required = TRUE;
  }

  /**
   * {@inheritdoc}
   */
  public function setPluginType(string $plugin_type) {
    // We don't want this to change.
    // $this->pluginType = $plugin_type.
    return $this;
  }

}
