<?php

namespace Drupal\pardot\Plugin;

use Drupal\Core\Plugin\DefaultPluginManager;
use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;

/**
 * Provides the Form Map Hanlder Plugin plugin manager.
 */
class PardotFormHandlerManager extends DefaultPluginManager {


  /**
   * Constructs a new FormMapHandlerPluginManager object.
   *
   * @param \Traversable $namespaces
   *   An object that implements \Traversable which contains the root paths
   *   keyed by the corresponding namespace to look for plugin implementations.
   * @param \Drupal\Core\Cache\CacheBackendInterface $cache_backend
   *   Cache backend instance to use.
   * @param \Drupal\Core\Extension\ModuleHandlerInterface $module_handler
   *   The module handler to invoke the alter hook with.
   */
  public function __construct(\Traversable $namespaces, CacheBackendInterface $cache_backend, ModuleHandlerInterface $module_handler) {
    parent::__construct('Plugin/pardot/FormHandler', $namespaces, $module_handler, 'Drupal\pardot\Plugin\PardotFormHandlerInterface', 'Drupal\pardot\Annotation\PardotFormHandler');

    $this->alterInfo('pardot_form_map_handler_plugin_info');
    $this->setCacheBackend($cache_backend, 'pardot_form_map_handler_plugin_plugins');
  }

}
