<?php

namespace Drupal\pardot\Plugin\pardot\FormHandler;

use Drupal\Core\Form\FormStateInterface;
use Drupal\pardot\Plugin\PardotFormHandlerBase;

/**
 * Plugin to capture browser cookies and send them to pardot.
 *
 * @PardotFormHandler(
 *  id = "contact_form_mapping",
 *  label = @Translation("Contact Form Mapping"),
 *  email_field_formatter_id = "default_value"
 * )
 */
class ContactPardotFormMapping extends PardotFormHandlerBase {

  /**
   * {@inheritdoc}
   */
  public function getPluginId() {
    return 'contact_form_mapping';
  }

  /**
   * {@inheritdoc}
   */
  public function defaultConfiguration() {
    $entity_types = ['contact_message'];
    $entity_type_id = 'contact_form';
    $default_values = [
      'entity_types' => $entity_types,
      'entity_type_id' => $entity_type_id,
      'entity_id' => '',
    ] + parent::defaultConfiguration();
    return $default_values;
  }

  /**
   * {@inheritdoc}
   */
  public function getPluginDefinition() {
    return $this->pluginDefinition;
  }

  /**
   * {@inheritdoc}
   */
  public function buildConfigurationForm($form, FormStateInterface $form_state) {
    return parent::buildConfigurationForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitConfigurationForm(array &$form, FormStateInterface $form_state) {
    parent::submitConfigurationForm($form, $form_state);
  }

}
