<?php

namespace Drupal\pardot\Plugin\pardot\FormHandler;

use Drupal\Core\Form\FormStateInterface;
use Drupal\pardot\FormMap;
use Drupal\pardot\Plugin\PardotFormHandlerBase;

/**
 * Plugin to capture browser cookies and send them to pardot.
 *
 * @PardotFormHandler(
 *  id = "webform_mapping",
 *  label = @Translation("Webform Mapping"),
 *  email_field_formatter_id = "webform_submission_value"
 * )
 */
class WebformMapping extends PardotFormHandlerBase {

  /**
   * {@inheritdoc}
   */
  public function getPluginId() {
    return 'webform_mapping';
  }

  /**
   * {@inheritdoc}
   */
  public function defaultConfiguration() {
    return [
      'entity_types' => [],
      'entity_type_id' => 'webform',
      'entity_id' => '',
    ] + parent::defaultConfiguration();
  }

  /**
   * {@inheritdoc}
   */
  public function getPluginDefinition() {
    return $this->pluginDefinition;
  }

  /**
   * {@inheritdoc}
   */
  public function submitConfigurationForm(array &$form, FormStateInterface $form_state) {
    parent::submitConfigurationForm($form, $form_state);
  }

}
